[tool.poetry]
name = "mlops_realestate"
version = "0.1.0"
description = ""
authors = ["Aleksandr GL <am.glushakov@gmail.com>"]
license = "none"

[tool.poetry.dependencies]
python = "^3.9"
pandas = "^1.4.2"
scikit-learn = "^1.0.2"
xgboost = "^1.6.1"
lightgbm = "^3.3.2"
click = "^8.1.3"
dvc = {extras = ["s3"], version = "^2.10.2"}
Fiona = "^1.8.21"
Shapely = "^1.8.2"
pyproj = "^3.3.1"
Rtree = "^1.0.0"
geopandas = "^0.10.2"
mlflow = "^1.25.1"

[tool.poetry.dev-dependencies]

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
